Skip to main content
GET
Get stake account summary metrics
These endpoints return high level information about stake accounts over the time period such as their network penetration, rewards, annual percentage yield (APY), paid commissions, and the effectiveness of their validator delegate/s.
On the 1d time period, the APY takes into account the rewards received for the last 3 days to smooth out the noise given Solana’s staking rewards schedule, which is every epoch (~2 days).

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

stake_account
string
required

Query Parameters

window
enum<string>
required
Available options:
1d,
7d,
30d,
all

Response

Successful Response

stakeAccount
string
required
stakeAuthority
string | null
required
withdrawAuthority
string | null
required
timeWindow
enum<string>
required
Available options:
1d,
7d,
30d,
all
delegatedStake
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
networkPenetration
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
status
string | null
required
validatorVoteAccount
string | null
required
validatorName
string | null
required
validatorEffectiveness
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
voteCommissionRate
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
mevCommissionRate
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
sumStakingRewards
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
sumMevRewards
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
sumRewards
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
sumStakingCommissionPaid
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
sumMevCommissionPaid
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
sumCommissionPaid
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
stakingRewardsApy
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
mevRewardsApr
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
delegatorApy
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
sumMissedStakingRewards
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$